class SvgElement
  include SimplyStored::Couch
  include ActiveModel::SerializerSupport
  include SvgElementDefaults
  property :snap_code
  property :active, type: :boolean, default: true
  property :input_type # %w[raw snap_code]
  has_many :section_elements

  def self.active
    all.select(&:active)
  end
end
